/***************************************************************************
 *   Copyright (C) 2006 by Michael Schulze   *
 *   mike.s@genion.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "test.h"

#include "ipodmountpoint.h"

Test::~Test()
{
}


IPod * Test::findFirstIPod()
{
    IPod * ipod = NULL;

    // try to find a mounted ipod
    IPodMountPoint::List currentmountpoints = IPodMountPoint::mountedIPods();
    IPodMountPoint::List::iterator mountiter = currentmountpoints.begin();
    for(; mountiter != currentmountpoints.end(); ++mountiter) {
        QString mountpoint = (*mountiter).getMountPoint();
        // create a new ipod from the given mountpoint
        ipod = new IPod( mountpoint );
        // try to open it
        if( ipod->open() ) {
            break;
        } else {
            printf("%s:%s is not an iPod\n", mountpoint.ascii(), (*mountiter).getDevice().ascii());
            delete ipod;
            ipod = NULL;
        }
    }

    if ( ipod == NULL || ! ipod->isOpen() ) {
        fprintf(stderr, "no IPod found here.\n");
        delete ipod;
        // ipod = new IPod( "/mnt" );
        // ipod->initialize( "kpodTestIpod" );
        // if ( !ipod->open() ) {
            return NULL;
        // }
    } else {
        fprintf(stderr, "%s found at %s\n", ipod->getName().ascii(), ipod->getSysInfo().getDeviceMountpoint().ascii() );
    }

    // print out an error message if the itunesdb could not be read
    if ( !ipod->getItunesDBError().isEmpty()) {
        fprintf( stderr, "error: %s\n", ipod->getItunesDBError().ascii());
        delete ipod;
        return NULL;
    }

    return ipod;
}

